Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1863709

Summary: python-bleach: FTBFS in Fedora rawhide/f33
Product: [Fedora] Fedora Reporter: Fedora Release Engineering <releng>
Component: python-bleachAssignee: Matthias Runge <mrunge>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 33CC: igor.raits, mrunge
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: python-bleach-3.2.1-1.fc34 python-bleach-3.2.1-1.fc33 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-10-05 06:21:33 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1803234    
Attachments:
Description Flags
build.log
none
root.log
none
state.log none

Description Fedora Release Engineering 2020-08-03 17:13:57 UTC
python-bleach failed to build from source in Fedora rawhide/f33

https://koji.fedoraproject.org/koji/taskinfo?taskID=47964351


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild
Please fix python-bleach at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
python-bleach will be orphaned. Before branching of Fedora 34,
python-bleach will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2020-08-03 17:13:59 UTC
Created attachment 1704647 [details]
build.log

Comment 2 Fedora Release Engineering 2020-08-03 17:14:01 UTC
Created attachment 1704648 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2020-08-03 17:14:02 UTC
Created attachment 1704649 [details]
state.log

Comment 4 Ben Cotton 2020-08-11 14:05:49 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 33 development cycle.
Changing version to 33.

Comment 5 Fedora Release Engineering 2020-09-30 18:43:54 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 33.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2020-09-28).

A week before the mass branching of Fedora 34 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 32 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-34/f-34-key-tasks.html

Comment 6 Fedora Release Engineering 2020-10-04 04:24:32 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 33.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2020-09-28).

A week before the mass branching of Fedora 34 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 32 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-34/f-34-key-tasks.html

Comment 7 Matthias Runge 2020-10-05 06:21:33 UTC
package is updated and built.

Comment 8 Fedora Update System 2020-10-05 06:31:05 UTC
FEDORA-2020-e0f35d634c has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-e0f35d634c

Comment 9 Fedora Update System 2020-10-05 17:28:10 UTC
FEDORA-2020-e0f35d634c has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-e0f35d634c`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-e0f35d634c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-10-23 22:03:44 UTC
FEDORA-2020-e0f35d634c has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.